directive

# `info/2`

## Description

    info(Name/Arity, [Key is Value, ...])
    info(Name//Arity, [Key is Value, ...])

Documentation directive for predicates and grammar rule non-terminals. The first argument is either a predicate indicator or a grammar rule non-terminal indicator. The second argument is a list of pairs using the format Key is Value. See the Predicate documenting directives section for a description of the default keys.

## Template and modes

    info(+predicate_indicator, +predicate_info_list)
    info(+non_terminal_indicator, +predicate_info_list)

## Examples

    :- info(empty/1, [
        comment is 'True if the argument is an empty list.',
        argnames is ['List']
    ]).

    :- info(sentence//0, [
        comment is 'Rewrites a sentence into a noun phrase and a verb phrase.'
    ]).

See also

info/1, mode/2, predicate_property/2